{
  description = "System Configuration Flake";

  inputs = {
    nixpkgs = {
      url = "github:NixOS/nixpkgs/nixos-unstable";
    };
    
    home-manager = {
      url = "github:nix-community/home-manager/master";
        inputs.nixpkgs.follows = "nixpkgs";
    };

    hyprland.url = "github:hyprwm/Hyprland";
  };

  outputs = { 
    nixpkgs,
    home-manager,
    hyprland,
    ...
  } @inputs : {

    system = "x86_64-linux";
      

    pkgs = import nixpkgs {
      #config.allowUnfree = true;
    };

    stitchynyan = nixpkgs.lib.nixosSystem {
      modules = [

         ./configuration.nix
         home-manager.nixosModules.home-manager

	 {
	   _module.args = {inherit inputs;};
           home-manager.extraSpecialArgs = {inherit inputs;};
	 }
      ];
    };
  };
}
